jonnitto/iframe

Last activity on 12 December 2020
  • 1
  • 3269
composer require jonnitto/iframe

iFrames for Neos CMS

4.2.0

iFrames for Neos CMS

Version
4.2.0
Type
neos-plugin
Release Date
11.12.2020 21:40:45
Source
git
Distribution
zip
Requires
Requires (dev)
None
Suggest
None
Provides
None
Conflicts
None
Replaces
None
GPL-3.0-or-later
  • #flow
  • #iframe
  • #neos
  • #contentelement
b4c0301b40541919ce57ffefa8049ed8f0caa31e

Latest Stable Version Total Downloads License GitHub forks GitHub stars GitHub watchers GitHub followers Follow Jon on Twitter

Jonnitto.iFrame

iFrame for Neos CMS:

  • You can set the height (Pixel or viewport height) or the ratio of the iframe.
  • If the source of the iframe returns an error, it will be removed in the frontend.

Installation

Most of the time you have to make small adjustments to a package (e.g. configuration in Settings.yaml). Because of that, it is important to add the corresponding package to the composer from your theme package. Mostly this is the site packages located under Packages/Sites/. To install it correctly go to your theme package (e.g.Packages/Sites/Foo.Bar) and run following command:

composer require jonnitto/iframe --no-update

The --no-update command prevent the automatic update of the dependencies. After the package was added to your theme composer.json, go back to the root of the Neos installation and run composer update. Et voilà! Your desired package is now installed correctly.

License

Licensed under MIT, see LICENSE

The content of the readme is provided by Github
The same vendor provides 28 package(s).